<?php
  $ruta="../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/vadmejecutivo.php");
  $vadmejecutivo=new vadmejecutivo;
  include_once($ruta."class/individual.php");
  $individual=new individual;
  include_once($ruta."class/ciclo.php");
  $ciclo=new ciclo;
  include_once($ruta."class/persona.php");
  $persona=new persona;
  include_once($ruta."class/individualcredito.php");
  $individualcredito=new individualcredito;
  include_once($ruta."class/credito.php");
  $credito=new credito;
  include_once($ruta."class/garante.php");
  $garante=new garante;
  include_once($ruta."funciones/funciones.php");
  session_start();  
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php
      $hd_titulo="Lista de socios individual";
      include_once($ruta."includes/head_basico.php");
      include_once($ruta."includes/head_tabla.php");
      include_once($ruta."includes/head_tablax.php");
    ?>
</head>
<body>
    <?php
      include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
          $idmenu=1078;
          include_once($ruta."aside.php");
        ?>
        <section id="content">
          <!--breadcrumbs start-->
          <div id="breadcrumbs-wrapper">
            <div class="container">
                <div class="row " style="background: #7AAD4E; text-align: center; color:white; font-size: 25px; border-radius: 5px;">
                    <?php echo $hd_titulo; ?>
                    <a href="nuevo/" class="btn-jh waves-effect waves-light darken-4 green"><i class="fa fa-plus-square"></i></a>
            </div>
               
     
          <div class="container">
            <div class="section">
              <div class="row" >
                <div class="col s12 m12 l12" style="border-radius: 5px; border: 1px solid #E8E8E8; background: white;">
                <table id="example2" class="display" cellspacing="0" width="100%">
                  <thead>
                    <tr>
                      <th>Cod</th>
                      <th>Carnet</th> 
                      <th>Cliente</th> 
                      <th>Ciclo</th>
                      <th>Asesor</th>
                      <th>Hora reunión</th>
                      <th>Acciones</th>
                    </tr>
                  </thead>
                  <tfoot>
                    <tr>
                      <th>Cod</th>
                      <th>Carnet</th> 
                      <th>Cliente</th> 
                      <th>Ciclo</th>
                      <th>Asesor</th>
                      <th>Hora reunión</th>
                      <th>Acciones</th>
                    </tr>
                  </tfoot>
                  <tbody>
                    <?php
                    foreach($individual->mostrarTodo("") as $f)
                    {
                      switch ($f['estado']) {
                        case '0':
                          $estilo="background-color: #FDEDEC;";
                        break;
                        case '1':
                          $estilo="background-color: #EAFAF1;";
                        break;
                      }
                      $ci=$ciclo->muestra($f['idciclo']);
                      $eje=$vadmejecutivo->muestra($f['idadmejecutivo']);
                      $lblcode=ecUrl($f['idindividual']);
                      $per=$persona->muestra($f['idpersona']);

                      //Obtener existencia del garante
                      $indcre=$individualcredito->mostrarPrimero("idindividual=".$f['idindividual']." and estado=1");
                      $cred=$credito->mostrarPrimero("idgrupocredito=".$indcre['idindividualcredito']." and tipocredito=1");
                      $gar=$garante->mostrarPrimero("idcredito=".$cred['idcredito']." and estado=1");
                    ?>
                    <tr style="<?php echo $estilo ?>">
                      <td><?php echo $f['idindividual'] ?></td>
                      <td><?php echo $per['carnet'].' '.$per['expedido'] ?></td>
                      <td><?php echo $per['nombre'].' '.$per['paterno'].' '.$per['materno'] ?></td>
                      <td><?php echo $ci['nombre'] ?></td>
                      <td><?php echo $eje['nombre'].' '.$eje['paterno'] ?></td>
                      <td><?php echo $f['horareunion'] ?></td>
                      <td>
                        <a href="credito/?lblcode=<?php echo $lblcode ?>" class="btn-jh waves-effect darken-4 green"><i class="fa fa-eye"></i>Ver</a>
                        <?php
                          if (count($gar)>0) 
                          {
                            ?>
                            <a href="#" class="btn-jh waves-effect darken-4 blue"><i class=" mdi-av-recent-actors"></i><i class=" mdi-navigation-check"></i></a>
                            <?php
                          }
                         ?>
                        <a href="#" class="btn-jh waves-effect darken-4 orange"><i class="fa fa-print"></i></a>
                      </td>
                    </tr>
                    <?php
                      }
                    ?>
                  </tbody>
                </table>
              </div>
            </div>
            </div>     
            </div>

          </div>
          <?php
            include_once("../footer.php");
          ?>
        </section>
      </div>
    </div>
    <div id="idresultado"></div>
    <!-- end -->
    <!-- jQuery Library -->
    <?php
      include_once($ruta."includes/script_basico.php");
      include_once($ruta."includes/script_tabla.php");
      include_once($ruta."includes/script_tablax.php");
    ?>
    <script type="text/javascript">
    $(document).ready(function() {
      $('#example').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
        $('#example1').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
          $('#example2').DataTable( {
        dom: 'Bfrtip',
        "order": [[ 0, "desc" ]],
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
    });
    function cambiaestado(id,estado){
      swal({
        title: "Estas Seguro?",
        text: "Cambiaras el estado al ejecutivo",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#28e29e",
        confirmButtonText: "Estoy Seguro",
        closeOnConfirm: false
      }, function () {      
        $.ajax({
          url: "cambiaestado.php",
          type: "POST",
          data: "id="+id+"&estado="+estado,
          success: function(resp){
            console.log(resp);
            $("#idresultado").html(resp);
          }   
        });
      }); 
    }
    </script>
</body>

</html>